<script setup lang="ts">
import { ref } from 'vue'

import { useMembersStore } from '@/stores/member'
import { useReceipetStore } from '@/stores/receipt'

const tel = ref('')
const point = ref('')
const memberStore = useMembersStore()
const receiptStore = useReceipetStore()

function onClick() {
  memberStore.searchMember(tel.value)
  receiptStore.calReceipt()
  tel.value = ''
}

function usePoint() {
  if (memberStore.currentMember) {
    const pointInt = parseInt(point.value)
    if (pointInt <= memberStore.currentMember?.point) {
      receiptStore.calUsePoint(point.value)
    } else {
      return
    }
  }
  point.value = ''
}
</script>
<template>
  <v-container>
    <v-row>
      <v-col cols="6">
        <v-text-field
          v-model="tel"
          density="compact"
          variant="solo"
          label="Search Members"
          append-inner-icon="mdi-magnify"
          single-line
          hide-details
          @click:append-inner="onClick()"
          @keyup.enter="onClick()"
          style="width: 320px"
        ></v-text-field>
      </v-col>
      <v-col cols="3" class="pa-5 text-center">Member : </v-col>
      <v-col cols="3" class="pa-5 text-center">
        {{ memberStore.currentMember ? memberStore.currentMember?.name : 'Not Found' }}
      </v-col>
    </v-row>
    <v-row>
      <v-col cols="6">
        <v-text-field
          v-model="point"
          density="compact"
          variant="solo"
          label="Use Point"
          append-inner-icon="mdi-star"
          single-line
          hide-details
          @click:append-inner="usePoint()"
          @keyup.enter="usePoint()"
          style="width: 320px"
        ></v-text-field>
      </v-col>
      <v-col cols="3" class="pa-5 text-center">Points : </v-col>
      <v-col cols="3" class="pa-5 text-center">
        {{ memberStore.currentMember ? memberStore.currentMember?.point : '-' }}
      </v-col>
    </v-row>
  </v-container>
</template>
